Subject: iSCSI: What if MaxCmdSN < ExpCmdSN-1

From: "Gwendal Grignou" <[email-masked]>
Date: Thu, 11 Jul 2002 13:07:40 -0700

Reading the spec, I think I found conflicting information:

In section 2.2.2.1:

The target MUST NOT transmit a MaxCmdSN that is less than ExpCmdSN-1.
...
-If the PDU MaxCmdSN is less than the PDU ExpCmdSN-1 (in Serial
Arithmetic Sense), they are both ignored.

How can this happen? If the target follows the iSCSI RFC, it should
never send MaxCmdSN less than ExpCmdSN-1. If it happens, doesn't it
indicate the PDU is corrupted, or the target is not working properly?
Does it make sense then to ignore the problem and continue as is, or the
session should be closed?

A while back, there were some discussions about if a reserved field not
set to 0 is big thing or not, so I wonder if this problem falls in the
same category or is more important...

Gwendal.